Bug 1689266 - rgw: unordered bucket listing markers do not handle adorned object names correctly
Summary: rgw: unordered bucket listing markers do not handle adorned object names corr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: z2
: 3.2
Assignee: J. Eric Ivancich
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-15 14:40 UTC by J. Eric Ivancich
Modified: 2019-05-01 17:25 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-12.2.8-97.el7cp Ubuntu: ceph_12.2.8-82redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:23 UTC

Description J. Eric Ivancich 2019-03-15 14:40:04 UTC
Description of problem: When using a marker to advanced an unordered bucket listing, the listing could either skip ahead or skip backwards


Version-Release number of selected component (if applicable):


How reproducible: Very


Steps to Reproduce:
1. Create a bucket and then put more than 3,000 objects with adorned names in it (e.g., boto3's s3_client.create_multipart_upload call).
2. List the bucket with the unordered flag set to true and a max of a fraction of objects (if 3,000 objects, use a max of 1,000) to force multiple calls with a marker
3. Examine listing

Actual results: Listing might loop backwards, possibly never completing, or items may be skipped, or items may appear multiple times


Expected results: Every object listed exactly once


Additional info:

Upstream fix: http://tracker.ceph.com/issues/38486 (although downstream does not currently use unordered bucket listing for lifecycle, so the issue is not seen in that context)

Comment 13 errata-xmlrpc 2019-04-30 15:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.